pydo.databases.list_replicas()

Generated on 7 Jul 2026 from pydo version v0.39.0

Usage

client.databases.list_replicas(
    database_cluster_uuid="9cc10173-e9ea-4176-9dbc-a4cee4c4ff30",
)
Returns JSONRaises HttpResponseError

Description

To list all of the read-only replicas associated with a database cluster, send a GET request to /v2/databases/{database_cluster_uuid}/replicas.

Note: Read-only replicas are not supported for Caching or Valkey clusters.

The result will be a JSON object with a replicas key. This will be set to an array of database replica objects, each of which will contain the standard database replica attributes.

Parameters

database_cluster_uuid string required

A unique identifier for a database cluster.

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

get_resp = client.databases.list_replicas(database_cluster_uuid="a7aba3")

Response Example

Show Response Example
{
  "replicas": [
    {
      "name": "read-nyc3-01",
      "connection": {
        "uri": "",
        "database": "defaultdb",
        "host": "read-nyc3-01-do-user-19081923-0.db.ondigitalocean.com",
        "port": 25060,
        "user": "doadmin",
        "password": "wv78n3zpz42xezdk",
        "ssl": true
      },
      "private_connection": {
        "uri": "postgres://doadmin:wv78n3zpz42xezdk@private-read-nyc3-01-do-user-19081923-0.db.ondigitalocean.com:25060/defaultdb?sslmode=require",
        "database": "",
        "host": "private-read-nyc3-01-do-user-19081923-0.db.ondigitalocean.com",
        "port": 25060,
        "user": "doadmin",
        "password": "wv78n3zpz42xezdk",
        "ssl": true
      },
      "region": "nyc3",
      "status": "online",
      "created_at": "2019-01-11T18:37:36Z"
    }
  ]
}

More Information

See /v2/databases/{database_cluster_uuid}/replicas in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.